Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.metadata
Class FieldMetaData

    java.lang.Object
      com.sun.mdm.index.objects.metadata.FieldMetaData

public class FieldMetaData
extends java.lang.Object

Field meta data structure

Constructor Summary
`FieldMetaData(java.lang.String name, java.lang.Integer type, int size, boolean required, boolean updateable, java.lang.String userCode, java.lang.String constraintBy)` Creates a new instance of FieldMetaData by field name and type (Integer)
`FieldMetaData(java.lang.String name, java.lang.String type, int size, boolean required, boolean updateable, java.lang.String userCode, java.lang.String constraintBy)` Creats a new instance of FieldMetaData by field name and type

Method Summary
`java.lang.String` | `getConstraintBy()` gets defined constraint by for AUXID pull down
`java.lang.String` | `getName()` gets field name
`int` | `getSize()` gets field size
`java.lang.String` | `getType()` gets field type
`java.lang.String` | `getUserCode()` gets defined user code for AUXID pull down
`boolean` | `isRequired()` gets field required
`boolean` | `isUpdateable()` gets field updateable
`java.lang.String` | `toString()` toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldMetaData

    public FieldMetaData(java.lang.String name,
                         java.lang.Integer type,
                         int size,
                         boolean required,
                         boolean updateable,
                         java.lang.String userCode,
                         java.lang.String constraintBy)

  Creates a new instance of FieldMetaData by field name and type (Integer)

  Parameters:
    `name` - field name
    `type` - field type in integer
    `size` - field size
    `required` - field required

### FieldMetaData

    public FieldMetaData(java.lang.String name,
                         java.lang.String type,
                         int size,
                         boolean required,
                         boolean updateable,
                         java.lang.String userCode,
                         java.lang.String constraintBy)

  Creats a new instance of FieldMetaData by field name and type

  Parameters:
    `name` - field name
    `type` - field type
    `size` - field size
    `required` - field required

Method Detail

### getConstraintBy

    public java.lang.String getConstraintBy()

  gets defined constraint by for AUXID pull down

  Returns:
    String constraint by value

### getName

    public java.lang.String getName()

  gets field name

  Returns:
    String

### getSize

    public int getSize()

  gets field size

  Returns:
    int size

### getType

    public java.lang.String getType()

  gets field type

  Returns:
    String type

### getUserCode

    public java.lang.String getUserCode()

  gets defined user code for AUXID pull down

  Returns:
    String user code value

### isRequired

    public boolean isRequired()

  gets field required

  Returns:
    boolean required or not

### isUpdateable

    public boolean isUpdateable()

  gets field updateable

  Returns:
    boolean updateable or not

### toString

    public java.lang.String toString()

  toString

  Returns:
    String

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.